Subject: [Curdle] Time for SSH3?

From: John Mattsson <[email-masked]>
Date: Wed, 20 Dec 2023 10:36:26 +0000

Hi,

SSH was just hit by a major vulnerability. The reasons are that SSH just like SSL 2.0 – TLS 1.2 is built on a very shaky ground. The TLS WG concluded that it was not enough to patch the old TLS and instead decided for the completely redesigned TLS 1.3 built on the theoretical foundation of the SIGMA-I protocol. I think everybody agrees this was the right decision.

https://arstechnica.com/security/2023/12/hackers-can-break-ssh-channel-integrity-using-novel-data-corruption-attack/

I strongly think the right future for SSH is to not do more patching and instead move to SSH3 build on top of QUIC. One such proposal was recently published on arXiv.

https://arxiv.org/pdf/2312.08396.pdf

Cheers,
John Preuß Mattsson